function sendDragCommand()
{
   _root.doSlider(knobPercent);
}
knobStart = 0;
knobEnd = slideLine._width;
knobAxis = slideLine._height / 2;
knobSize = 6;
knobInitPercent = 30;
knobSteps = 100 / (knobEnd - knobStart);
knobScale = 0.018;
knobDrag = false;
knobPercent = knobInitPercent;
slideKnob._x = knobStart + knobInitPercent / knobSteps;
slideKnob._y = knobAxis;
slideKnob._width = knobSize + knobSize * (knobInitPercent * knobScale);
slideKnob._height = knobSize + knobSize * (knobInitPercent * knobScale);
slideKnob.onRollOver = function()
{
   _root.showTooltipByName(myTooltip);
};
slideKnob.onRollOut = function()
{
   _root.hideTooltip();
};
slideKnob.onPress = function()
{
   _root.hideTooltip();
   startDrag(slideKnob,0,knobStart,knobAxis,knobEnd,knobAxis);
   knobDrag = true;
};
slideKnob.onRelease = function()
{
   stopDrag();
   knobDrag = false;
   sendDragCommand();
};
slideKnob.onReleaseOutside = slideKnob.onRelease;
slideKnob.onMouseMove = function()
{
   knobPercent = (slideKnob._x - knobStart) * knobSteps;
   slideKnob._width = knobSize + knobSize * (knobPercent * knobScale);
   slideKnob._height = knobSize + knobSize * (knobPercent * knobScale);
};
